Bug 86793 - Need ability to define sorting for the first column
Need ability to define sorting for the first column
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-09 17:11 UTC by Martin Entlicher
Modified: 2010-05-07 08:58 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2006-10-09 17:11:57 UTC
For some views in debugger we need to be able to define our own Comparator for
the 0-th column (composed from Nodes). There is used Comparator for Properties,
but Nodes are compared by their display names. This does not make much sense in
some situations (call stack (we've obtained several reports already that it
looks very silly to have call stack sorted by names of clases and methods),
breakpoints (we're hacking the line numbers with spaces to have correct decimal
order), array indexes, etc.)
Comment 1 Jiri Rechtacek 2009-01-15 16:35:40 UTC
fixed in core-main/rev/de50002894c7
Comment 2 Quality Engineering 2009-01-17 06:54:37 UTC
Integrated into 'main-golden', will be available in build *200901170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/de50002894c7
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #86793: Need ability to define sorting for the first column
Comment 3 tk_fhd_aui 2010-05-07 08:58:52 UTC
I tried to find the getNestedComparator method in the 6.8 documentation but it seems the change is not implemented there. Did I miss something?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo